ruby-github-linguist_5.3.3-1_amd64.deb


Advertisement

Description

ruby-github-linguist - detection and highlight of the programming language of source code

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-github-linguist
Package version 5.3.3
Package release 1
Package architecture amd64
Package type deb
Installed size 3.97 KB
Download size 810.36 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-github-linguist_5.3.3-1_i386.deb 5.3.3 i386 Debian Main
ruby-github-linguist - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libruby2.5 >= 2.5.0~preview1
ruby >= 1:2.5~0
ruby << 1:2.6~
ruby-charlock-holmes >= 0.7.5~
ruby-escape-utils >= 1.1.0~
ruby-mime-types >= 1.19~
ruby-rugged >= 0.25.1~

Download

Type URL
Binary Package ruby-github-linguist_5.3.3-1_amd64.deb
Source Package ruby-github-linguist

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-github-linguist deb package:
    # sudo apt-get install ruby-github-linguist

Files

Path
/usr/bin/git-linguist
/usr/bin/github-linguist
/usr/lib/ruby/vendor_ruby/linguist.rb
/usr/lib/ruby/vendor_ruby/linguist/blob.rb
/usr/lib/ruby/vendor_ruby/linguist/blob_helper.rb
/usr/lib/ruby/vendor_ruby/linguist/classifier.rb
/usr/lib/ruby/vendor_ruby/linguist/documentation.yml
/usr/lib/ruby/vendor_ruby/linguist/file_blob.rb
/usr/lib/ruby/vendor_ruby/linguist/generated.rb
/usr/lib/ruby/vendor_ruby/linguist/grammars.rb
/usr/lib/ruby/vendor_ruby/linguist/heuristics.rb
/usr/lib/ruby/vendor_ruby/linguist/language.rb
/usr/lib/ruby/vendor_ruby/linguist/languages.json
/usr/lib/ruby/vendor_ruby/linguist/languages.yml
/usr/lib/ruby/vendor_ruby/linguist/lazy_blob.rb
/usr/lib/ruby/vendor_ruby/linguist/linguist.bundle
/usr/lib/ruby/vendor_ruby/linguist/md5.rb
/usr/lib/ruby/vendor_ruby/linguist/popular.yml
/usr/lib/ruby/vendor_ruby/linguist/repository.rb
/usr/lib/ruby/vendor_ruby/linguist/samples.json
/usr/lib/ruby/vendor_ruby/linguist/samples.rb
/usr/lib/ruby/vendor_ruby/linguist/shebang.rb
/usr/lib/ruby/vendor_ruby/linguist/tokenizer.rb
/usr/lib/ruby/vendor_ruby/linguist/vendor.yml
/usr/lib/ruby/vendor_ruby/linguist/version.rb
/usr/lib/ruby/vendor_ruby/linguist/strategy/extension.rb
/usr/lib/ruby/vendor_ruby/linguist/strategy/filename.rb
/usr/lib/ruby/vendor_ruby/linguist/strategy/modeline.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/linguist/linguist.so
/usr/share/doc/ruby-github-linguist/changelog.Debian.gz
/usr/share/doc/ruby-github-linguist/copyright
/usr/share/rubygems-integration/2.5.0/specifications/github-linguist-5.3.3.gemspec

Changelog

2018-03-29 - Pirate Praveen <praveen@debian.org>
ruby-github-linguist (5.3.3-1) unstable; urgency=medium
* New upstream version 5.3.3
2018-02-21 - Pirate Praveen <praveen@debian.org>
ruby-github-linguist (4.7.2-3) unstable; urgency=medium
[ Cédric Boutillier ]
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
[ Pirate Praveen ]
* Relax dependency on escape_utils in gemspec
* Bump standards version to 4.1.3
* Bump debhelper compat to 11
2016-03-02 - Balasankar C <balasankarc@autistici.org>
ruby-github-linguist (4.7.2-2) unstable; urgency=medium
* Team upload.
* Redo binary renaming logic (Closes: #815908)
* Fix Vcs-* links to use secure protocol
* Fix description
* Bump Standards Version to 3.9.7 (No changes)
* Bump debhelper compatibility
2015-11-30 - Pirate Praveen <praveen@debian.org>
ruby-github-linguist (4.7.2-1) unstable; urgency=low
[ Timothée Girard ]
* Initial release (Closes: #743063)

See Also

Package Description
ruby-github-markdown_0.6.9-2+b2_amd64.deb Markdown parser for GitHub.com
ruby-github-markup_1.6.5-1_all.deb GitHub Markup rendering
ruby-gitlab-flowdock-git-hook_1.0.1-4_all.deb Git Post-Receive hook for Flowdock
ruby-gitlab_4.5.0-1_all.deb Ruby wrapper and CLI for the GitLab API
ruby-gli_2.14.0-1_all.deb Build command-suite CLI apps without a lot of syntax
ruby-glib2_3.3.0-1_amd64.deb GLib 2 bindings for the Ruby language
ruby-globalid_0.3.6-1_all.deb reference models by URI for Ruby on Rails
ruby-gnome2-dev_3.3.0-1_amd64.deb GNOME-related bindings for the Ruby language (development files)
ruby-gnome2_3.3.0-1_all.deb GNOME-related bindings for the Ruby language
ruby-gnuplot_2.6.2-2_all.deb Ruby library to interact with gnuplot
ruby-gobject-introspection_3.3.0-1_amd64.deb GObject Introspection bindings for the Ruby language
ruby-god_0.13.7-3_amd64.deb Fully configurable process monitoring
ruby-gollum-lib_4.2.7.5-3_all.deb simple, Git-powered wiki
ruby-gollum-rugged-adapter_0.4.4.1-2_all.deb Adapter for Gollum to use Rugged (libgit2) at the backend
ruby-gon_6.2.1-1_all.deb Ruby library to send data to JavaScript from a Ruby application
Advertisement
Advertisement